---

- hosts: all
  tasks:
    - name: Add Nodesource apt key.
      become: true
      apt_key:
        url: https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280
        id: "68576280"
        state: present

    - name: Add NodeSource repositories for Node.js.
      become: true
      apt_repository:
        repo: "{{ item }}"
        state: present
      with_items:
        - "deb https://deb.nodesource.com/node_16.x {{ ansible_distribution_release }} main"
        - "deb-src https://deb.nodesource.com/node_16.x {{ ansible_distribution_release }} main"

    - name: install node
      apt:
        name: nodejs
        state: present
        update_cache: yes
      become: yes

    - name: run npm install
      shell:
        chdir: /vagrant
        cmd: npm install
        removes: /vagrant/package.json

    - name: 'set FASTIFY_ADDRESS'
      lineinfile:
        path: /etc/environment
        regexp: '^FASTIFY_ADDRESS='
        line: 'FASTIFY_ADDRESS=0.0.0.0'
      become: yes

